Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411515 - [RFE] Ability to control which custom buttons / button groups get displayed on Instances/VMs
Summary: [RFE] Ability to control which custom buttons / button groups get displayed o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: User Experience
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: John Hardy
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:23 UTC by Jerome Marc
Modified: 2018-03-01 13:08 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:08:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Jerome Marc 2017-01-09 21:23:01 UTC
Description of problem:
Custom buttons on instances & VMs are used more and more, especially since the integration of Ansible Tower into CloudForms.  They allow operators to define actions that users can perform on the hosts.  Today, all actions defined as custom buttons or groups are presented to all instances/VMs.  We need to be able to limit on which type of instances/VMs these buttons/groups are displayed.

For example, I have Ansible playbooks for Linux and Windows, I want to make Linux playbooks available to Linux VMs as a button, and Windows playbooks available to Windows VMs, but Linux VMs should not see Windows playbooks, and vice versa. Today it is impossible to implement this basic use case.


Version-Release number of selected component (if applicable):
5.7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jerome Marc 2017-02-17 17:22:10 UTC
A solution could be to add the MIQ expression editor on the button definition screen (same than reporting and control), so that ops can add conditions around displaying buttons & button groups in the UI.

Comment 4 Jerome Marc 2017-05-10 15:56:43 UTC
This is not limited to VMs/instances. All custom buttons should have a scope.

Comment 6 Allen W 2017-05-10 18:07:59 UTC
So custom actions returned should only ever represent those things which can be done on the item of concern.  For documentation on custom actions for services see http://manageiq.org/docs/reference/latest/api/reference/service_custom_actions

Moving forward, I would imagine this would true for custom actions on vms, only those actions that are valid for the item of concern would be returned by the api given an appropriate request.

Comment 8 Kedar Kulkarni 2017-10-12 14:50:49 UTC
Already verified Custom Button Expression Editor in https://bugzilla.redhat.com/show_bug.cgi?id=1389660

Comment 11 errata-xmlrpc 2018-03-01 13:08:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.